CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::filters::time Class Reference

Format local time to ouput stream. More...

`#include <cppcms/filters.h>`

## Public Member Functions
| time (time const &other)
time const & | operator= (time const &other)
| time (streamable const &t)
| time (streamable const &time, std::string const &timezone)
void | operator() (std::ostream &out) const

## Detailed Description

Format local time to ouput stream.

Formats time to the stream, time is represented as number

## Constructor & Destructor Documentation

cppcms::filters::time::time | ( | streamable const & | t | ) |

Create time filter that formats current local-time time using POSIX time representation t

cppcms::filters::time::time | ( | streamable const & | time,
|  | std::string const & | timezone
| ) |  |

Create time filter that formats current time using POSIX time representation t, in a timezone timezone

The documentation for this class was generated from the following file:

- cppcms/filters.h